# Course Offerings Course Offerings ## Creates a new course offering record that does not already exist. - [POST /courseOfferings/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-offerings/createcourseoffering.md): This method will auto-generate an ID and create a new course offering. If an ID is specified for the course offering, an error will be thrown. ## Execute Batch Operations - [POST /courseOfferings/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-offerings/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of records with the specified course_id - [GET /courseOfferings/{tenantId}/course/{course_id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-offerings/listofferingsbycourseid.md): Returns a list of records with the specified course_id ## Returns a list of records with the specified event_id - [GET /courseOfferings/{tenantId}/event/{event_id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-offerings/listofferingsbyeventid.md): Returns a list of records with the specified event_id ## Returns a list of records with the specified event_id - [GET /courseOfferings/{tenantId}/event/{event_id}/public](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-offerings/listofferingsbyeventidpublic.md): Returns a list of records with the specified event_id ## Returns a list of records with the specified instructor_id - [GET /courseOfferings/{tenantId}/instructor/{instructor_id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-offerings/listofferingsbyinstructorid.md): Returns a list of records with the specified instructor_id ## Returns a list of records with the specified course_id - [GET /courseOfferings/{tenantId}/portal/{contact_id}/describeForCourse/{course_id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-offerings/describeofferings.md): Returns a list of records with the specified course_id ## Returns a course offering from the system by its ID. - [GET /courseOfferings/{tenantId}/public/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-offerings/getcoursepublic.md): This method will look up a course offering by the specified ID and return it back. ## Searches for course offerings using predefined parameters - [POST /courseOfferings/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-offerings/searchforcourseofferings.md): Searches for course offerings using predefined parameters ## Searches for course offerings using predefined parameters - [POST /courseOfferings/{tenantId}/search/public](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-offerings/searchcourseofferingspublic.md): Searches for course offerings using predefined parameters ## Returns a course offering from the system by its ID. - [DELETE /courseOfferings/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-offerings/deletecourseoffering.md): This method will delete a course offering with the specified ID. ## Returns a course offering from the system by its ID. - [GET /courseOfferings/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-offerings/getcourseoffering.md): This method will look up a course offering by the specified ID and return it back. ## Partially updates a course offering with the specified ID. - [PATCH /courseOfferings/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-offerings/patchcourseoffering.md): This method will patch an existing course offering with the specified ID, using the HTTP PATCH specification. ## Updates a course offering with the specified ID. - [PUT /courseOfferings/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-offerings/updatecourseoffering.md): This method will update an existing course offering with the specified ID.